Name:		rkhunter
Version:	1.4.6
Release:	%mkrel 5 
Summary:	Rootkit scans for rootkits, backdoors and local exploits
License:	GPLv2+
Group:		System/Configuration/Other
URL:		http://rkhunter.sourceforge.net/
Source0:	http://downloads.sourceforge.net/rkhunter/%{name}-%{version}.tar.xz
Source1:	rkhunter.cron
Source2:	rkhunter.logrotate
Patch0:	rkhunter-1.4.6-grepfix.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}
BuildArch:	noarch
Requires:	wget
Requires:	e2fsprogs
Requires:	binutils
Obsoletes:  %name < %version

%description
Rootkit hunter is a scanning tool to ensure you you're clean of known nasty programs
and backdoors.  Please run rkhunter --propupd before running rkhunter -c to check
your files. 

%pre
# rm -f /etc/rkhunter.conf

%prep
%setup -q 
%patch0 -p1
chmod -R a+r .

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_sysconfdir} %{buildroot}%{_sbindir} \
 %{buildroot}%{_var}/lib/rkhunter/{db/i18n,scripts,tmp} \
 %{buildroot}%{_mandir}/man8
install files/rkhunter %{buildroot}%{_sbindir}/
install -m 644 files/%{name}.conf %{buildroot}%{_sysconfdir}
cat<<EOF>>%{buildroot}%{_sysconfdir}/rkhunter.conf
INSTALLDIR=%{_var}
TMPDIR=%{_var}/lib/rkhunter/tmp
DBDIR=%{_var}/lib/rkhunter/db
SCRIPTDIR=%{_var}/lib/rkhunter/scripts
PKGMGR=RPM
# to avoid some false positives...
DISABLE_TESTS=ipc_shared_mem 
ALLOW_SSH_PROT_V1=2
ALLOWDEVFILE=/dev/shm/*
ALLOWDEVFILE=/dev/.udev/*
ALLOWDEVFILE=/dev/.udev/data/*
ALLOWHIDDENDIR=/dev/.udev
ALLOWHIDDENDIR=/dev/.udev/data
ALLOWHIDDENDIR=/dev/.udevdb
ALLOWHIDDENDIR=/etc/.java
ALLOWHIDDENDIR=/etc/.java/.systemPrefs
ALLOWHIDDENDIR=/usr/sbin/.sync
ALLOWHIDDENFILE=/etc/.aumixrc
ALLOWHIDDENFILE=/usr/share/man/man1/..1.bz2
ALLOWHIDDENFILE=/usr/share/man/man1/.nvidia-current-settings.1.bz2
ALLOWHIDDENFILE=/usr/share/man/man1/.nvidia-current-smi.1.bz2
ALLOWHIDDENFILE=/usr/share/man/man1/.nvidia-current-xconfig.1.bz2
ALLOWHIDDENFILE=/usr/share/man/man1/.nvidia340xx-settings.1.bz2
ALLOWHIDDENFILE=/usr/share/man/man1/.nvidia340xx-xconfig.1.bz2
ALLOWHIDDENFILE=/usr/share/man/man5/.k5login.5.bz2
ALLOWHIDDENFILE=/usr/share/man/man5/.k5identity.5.bz2
SCRIPTWHITELIST=/usr/bin/GET
SCRIPTWHITELIST=/usr/bin/groups
SCRIPTWHITELIST=/usr/bin/ldd
# SCRIPTWHITELIST=/usr/bin/whatis
SCRIPTWHITELIST=/sbin/ifup
SCRIPTWHITELIST=/sbin/ifdown
SCRIPTWHITELIST=/bin/egrep
SCRIPTWHITELIST=/bin/fgrep
SCRIPTWHITELIST=/etc/.aumixrc
XINETD_ALLOWED_SVC=/etc/xinetd.d/saned
XINETD_ALLOWED_SVC=/etc/xinetd.d/cups-lpd
EOF

install -m 644 files/*.dat %{buildroot}%{_var}/lib/rkhunter/db
install -m 644 files/i18n/* %{buildroot}%{_var}/lib/rkhunter/db/i18n
install -m 754 files/*.{pl,sh} %{buildroot}%{_var}/lib/rkhunter/scripts
install -m 644 files/rkhunter.8 %{buildroot}%{_mandir}/man8

%{__mkdir_p} %{buildroot}%{_sysconfdir}/cron.daily
%{__install} -m 0755 %{_sourcedir}/rkhunter.cron \
 %{buildroot}%{_sysconfdir}/cron.daily/rkhunter

%{__mkdir_p} %{buildroot}%{_sysconfdir}/logrotate.d
%{__install} -m 0644 %{_sourcedir}/rkhunter.logrotate \
 %{buildroot}%{_sysconfdir}/logrotate.d/rkhunter

%clean
rm -rf %{buildroot}

%post
echo "Please run rkhunter --propupd before running"
echo "rkhunter -c to check your files." 


%files
%defattr(-,root,root)
%doc files/CHANGELOG files/README
%config(noreplace) %{_sysconfdir}/rkhunter.conf
%config(noreplace) %{_sysconfdir}/cron.daily/rkhunter
%config(noreplace) %{_sysconfdir}/logrotate.d/rkhunter
%{_sbindir}/rkhunter
%{_var}/lib/rkhunter
%{_mandir}/man8/rkhunter.8.bz2


%changelog
* Wed Feb 01 2023 kjpetrie <pclos dot bugs at kjpetrie.co.uk> 1.4.6-5pclos2023
- added rkhunter-1.4.6-grepfix.patch

* Sat Aug 14 2021 kjpetrie <pclos dot bugs at kjpetrie.co.uk> 1.4.6-4pclos2021
- no longer creates rkhunter.conf.local

* Sat Aug 14 2021 kjpetrie <pclos dot bugs at kjpetrie.co.uk> 1.4.6-3pclos2021
- no longer deletes rkhunter.conf and creates rkhunter.conf.local

* Fri Aug 13 2021 kjpetrie <pclos dot bugs at kjpetrie.co.uk> 1.4.6-2pclos2021
- corrected package file ownership by removing globs

* Fri Jul 30 2021 kjpetrie <pclos dot bugs at kjpetrie.co.uk> 1.4.6-1pclos2021
- new version
- edited description to read better
- removed  khunter-1.4.2-gnu-grep.patch.

* Fri Apr 17 2015 kjpetrie <pclos dot bugs at kjpetrie.co.uk> 1.4.2-4pclos2015
- rkhunter-1.4.2-gnu-grep.patch. Remove patch at next RKH upgrade.

* Sat Mar 28 2015 bb <bb> 1.4.2-3pclos2015
- fix rkhunter.conf

* Fri Mar 27 2015 bb <bb> 1.4.2-1pclos2015
- update useless program

* Wed Jun 13 2012 kjpetrie <pclos dot bugs at kjpetrie.co.uk> 1.4.0-1pclos2010
- 1.4.0
- re-enabled PKGMGR to silence complaints
- added more items to configuration list to reduce false positives

* Sat Oct 17 2009 johnnyblack <johnnyblack at inbox.com> 1.3.4-1pclos2010
- 1.3.4
